Skip to main content
GET
Retrieve a Subscription
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.

Authorizations

Authorization
string
header
required

The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'

Path Parameters

subscriptionId
string<uuid>
required

The unique Kelviq identifier of the subscription.

Response

Subscription details.

id
string<uuid>
externalSubscriptionId
string
startDate
string<date>
endDate
string<date> | null
billingPeriodStartTime
string<date-time>
billingPeriodEndTime
string<date-time>
amount
string
recurrence
string
currency
string
status
string
product
string
plan
object
features
object[]
trialDaysRemaining
integer
customerId
string
billingType
enum<string>
Available options:
SUBSCRIPTION,
ONE_TIME
recurrenceUnit
integer | null
recurrenceType
string | null
files
object[]

Downloadable files attached to the subscription's plan.

External links attached to the subscription's plan.

license
object[]

Issued licenses associated with the subscription.

canceledAt
string<date-time> | null

When cancellation was recorded for the subscription. This can be set before endDate when cancellation is scheduled for a future date.

cancellationReason
enum<string> | null

Who initiated the cancellation.

Available options:
CANCELLED_BY_CUSTOMER,
CANCELLED_BY_MERCHANT,
CANCELLED_BY_PROVIDER
cancellationFeedback
enum<string> | null

Structured feedback supplied when the subscription was cancelled.

Available options:
TOO_EXPENSIVE,
MISSING_FEATURES,
SWITCHED_SERVICE,
UNUSED,
CUSTOMER_SERVICE,
LOW_QUALITY,
TOO_COMPLEX,
OTHER
cancellationComment
string | null

Optional free-form cancellation comment.

createdOn
string<date-time>
Example:

"2025-07-28T10:31:12Z"

modifiedOn
string<date-time>
Example:

"2026-08-01T10:15:00Z"